using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace Predictalytics.Infrastructure.Migrations
{
    /// <inheritdoc />
    public partial class AddMarketReturnMetrics : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<decimal>(
                name: "AvgLossReturnPct",
                table: "TraderAnalytics",
                type: "decimal(65,30)",
                nullable: false,
                defaultValue: 0m);

            migrationBuilder.AddColumn<decimal>(
                name: "AvgWinReturnPct",
                table: "TraderAnalytics",
                type: "decimal(65,30)",
                nullable: false,
                defaultValue: 0m);

            migrationBuilder.AddColumn<decimal>(
                name: "MedianLossReturnPct",
                table: "TraderAnalytics",
                type: "decimal(65,30)",
                nullable: false,
                defaultValue: 0m);

            migrationBuilder.AddColumn<decimal>(
                name: "MedianWinReturnPct",
                table: "TraderAnalytics",
                type: "decimal(65,30)",
                nullable: false,
                defaultValue: 0m);

            migrationBuilder.AddColumn<decimal>(
                name: "ProfitFactor",
                table: "TraderAnalytics",
                type: "decimal(65,30)",
                nullable: true);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "AvgLossReturnPct",
                table: "TraderAnalytics");

            migrationBuilder.DropColumn(
                name: "AvgWinReturnPct",
                table: "TraderAnalytics");

            migrationBuilder.DropColumn(
                name: "MedianLossReturnPct",
                table: "TraderAnalytics");

            migrationBuilder.DropColumn(
                name: "MedianWinReturnPct",
                table: "TraderAnalytics");

            migrationBuilder.DropColumn(
                name: "ProfitFactor",
                table: "TraderAnalytics");
        }
    }
}
